Skip to content
Browse files

add dependency

  • Loading branch information...
1 parent 3c4e1c6 commit 0b2146d8fdab4fe867a01b942dd2aa2ede33b188 @suupic committed Dec 27, 2012
View
4 Gemfile
@@ -1,6 +1,4 @@
source 'https://rubygems.org'
# Specify your gem's dependencies in url_to_contents.gemspec
-gemspec
-
-gem 'nokogiri', '~>1.5.5'
+gemspec
View
2 lib/url_to_contents.rb
@@ -4,8 +4,6 @@
require "url_to_contents/url"
require "url_to_contents/parser"
-
-
module UrlToContents
# Your code goes here...
end
View
6 lib/url_to_contents/models/tudou.rb
@@ -1,7 +1,13 @@
+#encoding: utf-8
+
module UrlToContents
module Models
class Tudou
include UrlToContents::Models::BaseAttributes
+
+ def service_name
+ '土豆网'
+ end
end
end
end
View
6 lib/url_to_contents/models/weibo.rb
@@ -1,7 +1,13 @@
+#encoding: utf-8
+
module UrlToContents
module Models
class Weibo
include UrlToContents::Models::BaseAttributes
+
+ def service_name
+ '新浪微博'
+ end
end
end
end
View
6 lib/url_to_contents/models/youku.rb
@@ -1,7 +1,13 @@
+#encoding: utf-8
+
module UrlToContents
module Models
class Youku
include UrlToContents::Models::BaseAttributes
+
+ def service_name
+ '优酷'
+ end
end
end
end
View
2 lib/url_to_contents/version.rb
@@ -1,3 +1,3 @@
module UrlToContents
- VERSION = "0.0.5"
+ VERSION = "0.0.6"
end
View
3 url_to_contents.gemspec
@@ -16,4 +16,7 @@ Gem::Specification.new do |gem|
gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
gem.require_paths = ["lib"]
+
+ gem.add_dependency("nokogiri", "~> 1.5.5")
+
end

0 comments on commit 0b2146d

Please sign in to comment.
Something went wrong with that request. Please try again.